:root{
    --bg-color: #0b0833;
    --pink-color: #fc6898;
    --yellow-color: #feda60;
    --blue-color: #5ac0f3;
    --font: "Open Sans", sans-serif;
}

*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body{
    font-family: var(--font);
    overflow-x: hidden;
}

header{
    background-color: var(--bg-color);
    width: 100%;
    height: 70px;
    position: fixed;
    top: 0;
    left: 0;
    z-index: 999;

    display: flex;
    justify-content: space-between;
    align-items: center;
}

header img{
    height: 70px;
    margin-left: 20px;
}

header input, header label{
    display: none;
}

header ul{
    display: flex;
    list-style: none;
    gap: 25px;
    margin-right: 20px;
}

header ul li a{
    position: relative;

    text-decoration: none;
    color: white;

    font-weight: 700;
    font-size: 18px;
    text-transform: uppercase;
    letter-spacing: 1px;

    transition: color 0.3s ease;
}

header ul li a::after{
    content: "";

    position: absolute;

    left: 0;
    bottom: -5px;

    width: 0%;
    height: 3px;

    background-color: var(--pink-color);

    border-radius: 10px;

    transition: width 0.3s ease;
}

header ul li a:not(#register):hover,
header ul li a.active:not(#register){
    color: var(--pink-color);
}

header ul li a:not(#register):hover::after,
header ul li a.active:not(#register)::after{
    width: 100%;
}

#register::after{
    display: none;
}


#register{
    padding: 10px 20px;
    background-color: var(--pink-color);
    border-radius: 10px;
    text-decoration: none;
}

#register:hover{
    color: white;
    border: 2px solid white;
    padding: 8px 18px;
}

.behindheader{
    height: 70px;
}

footer{
    width: 100%;
    background-color: var(--bg-color);
    color: white;
}

.footer-container{
    width: 100%;
    padding: 60px 40px;
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 40px;
}

.footer-column h3{
    margin-bottom: 20px;
    font-size: 24px;
    color: var(--yellow-color);
}

.footer-logo img{
    height: 90px;
    margin-bottom: 15px;
}

.footer-logo p{
    line-height: 28px;
    color: #d7d7d7;
    margin-bottom: 20px;
}

.social-icons{
    display: flex;
    gap: 15px;
}

.social-icons a{
    width: 45px;
    height: 45px;
    border-radius: 50%;
    background-color: rgba(255,255,255,0.1);

    display: flex;
    justify-content: center;
    align-items: center;

    color: white;
    font-size: 20px;
    text-decoration: none;

    transition: 0.3s ease;
}

.social-icons a:hover{
    background-color: var(--pink-color);
    transform: translateY(-3px);
}

.footer-links{
    list-style: none;
}

.footer-links li{
    margin-bottom: 15px;
}

.footer-links li a{
    color: #d7d7d7;
    text-decoration: none;
    transition: 0.3s ease;
}

.footer-links li a:hover{
    color: var(--pink-color);
    padding-left: 5px;
}

.contact-info{
    display: flex;
    flex-direction: column;
    gap: 20px;
}

.contact-info p{
    display: flex;
    align-items: center;
    gap: 12px;
    color: #d7d7d7;
    line-height: 26px;
}

.contact-info a{
    text-decoration: none;
    color: #d7d7d7;
    transition: 0.3s ease;
}

.contact-info a:hover{
    color: var(--pink-color);
    padding-left: 5px;
}

.contact-info i{
    color: var(--pink-color);
    font-size: 18px;
}

.footer-bottom{
    border-top: 1px solid rgba(255,255,255,0.1);
    padding: 20px;
    text-align: center;
    color: #bdbdbd;
    font-size: 14px;
}

.about-page{
    width: 100%;
    background-color: #f8f8f8;
}


.about-hero{
    width: 100%;
    min-height: 80dvh;

    padding: 20px 20px;

    background:
        linear-gradient(
            to bottom,
            rgba(0,0,0,0.5),
            rgba(0,0,0,0.7)
        ),
        url("../img/aboutus/hero.jpg");

    background-size: cover;
    background-position: center;

    display: flex;
    justify-content: center;
    align-items: center;

    text-align: center;
}

.about-hero-content{
    max-width: 850px;
}

.about-hero-content span{
    color: var(--yellow-color);

    font-weight: 700;
    text-transform: uppercase;
    letter-spacing: 2px;
}

.about-hero-content h1{
    font-size: 64px;
    color: white;

    margin: 20px 0;
}

.about-hero-content p{
    color: white;

    font-size: 20px;
    line-height: 34px;
}

.about-hero-content p, .about-hero-content h1, .about-hero-content span{
    text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.8);
}

.section-title{
    text-align: center;
    margin-bottom: 40px;
}

.section-title h2{
    font-size: 42px;
    color: var(--pink-color);

    font-weight: 700;
    text-transform: uppercase;
    letter-spacing: 1px;
}

.section-title p{
    font-size: 16px;
}

.history-section{
    padding: 40px 20px;
}

.history-content{
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 50px;
    align-items: center;
}

.history-image{
    height: 660px;

    border-radius: 25px;
    overflow: hidden;
}

.history-image img{
    width: 100%;
    height: 100%;

    object-fit: cover;
}

.history-text p{
    color: #555;

    line-height: 32px;
    margin-bottom: 25px;

    font-size: 18px;
}

.history-text a{
    display: inline-block;

    padding: 14px 28px;

    background-color: var(--pink-color);
    color: white;

    border-radius: 12px;

    text-decoration: none;
    font-weight: 700;

    transition: 0.3s ease;
}

.history-text a:hover{
    background-color: var(--bg-color);
}


.team-section{
    padding: 20px;

    background-color: white;
}

.team-grid{
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 20px;
}

.team-card{
    background-color: var(--bg-color);
    position: relative;

    border-radius: 20px;
    overflow: hidden;

    height: auto;
}

.team-card img{
    width: 100%;
    height: 100%;

    object-fit: cover;

    filter: grayscale(100%);

    transition:
        transform 0.5s ease,
        filter 0.4s ease;
}

.team-card h3{
    font-size: 24px;
}

.team-card:hover img{
    filter: grayscale(0%);
    transform: scale(1.05);
}

.team-card:hover h3{
    color: var(--yellow-color);
}

.team-card.active img{
    filter: grayscale(0%);
    transform: scale(1.05);
}

.team-card.active h3{
    color: var(--yellow-color);
}

.team-info{
    position: absolute;

    left: 0;
    bottom: 0;

    width: 100%;

    padding: 20px;

    background:
        linear-gradient(
            to bottom,
            transparent,
            rgba(0,0,0,0.85)
        );

    color: white;
}

.team-info h3{
    margin-bottom: 5px;
}

.classes-section{
    padding: 20px;
}

.classes-grid{
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 30px;
}

.class-image{
    height: 450px;

    border-radius: 25px;
    overflow: hidden;
}

.class-image img{
    width: 100%;
    height: 100%;

    object-fit: cover;

    transition: transform 0.5s ease;
}

.class-image:hover img{
    transform: scale(1.08);
}

.contact-section{
    padding: 40px 20px;
    background-color: white;
}

.contact-container{
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 40px;
}

.contact-map iframe{
    width: 100%;
    height: 100%;

    min-height: 450px;

    border: none;
    border-radius: 25px;
}

.contact-info-box{
    display: flex;
    flex-direction: column;
    justify-content: center;
    gap: 30px;
}

.contact-item{
    display: flex;
    align-items: center;
    gap: 20px;

    padding: 25px;

    background-color: #f8f8f8;

    border-radius: 20px;
}

.contact-item a{
    text-decoration: none;
    color: black;
}

.contact-item i{
    font-size: 28px;
    color: var(--pink-color);
}

.contact-item h3{
    margin-bottom: 5px;
    color: var(--bg-color);
}

.contact-item p{
    color: #555;
}

#social a{
    padding: 3px;
    background-color: var(--bg-color);
}

#socialicon:hover{
    background-color: var(--pink-color);
}

#social i{
    font-size: 24px;
    color: white;
}

.donation-section{
    padding: 20px;
    background: #f8f8f8;
}

.donation-container{
    width: 100%;
}

.donation-header{
    text-align: center;
    margin-bottom: 60px;
}

.donation-header h2{
    color: black;
    font-size: 56px;
    line-height: 1.1;
    margin-bottom: 20px;
}

.donation-header p{
    color: rgba(0,0,0,.75);
    max-width: 800px;
    margin: 0 auto;
    font-size: 18px;
    line-height: 1.8;
}

.donation-grid{
    display: grid;
    grid-template-columns: 450px 1fr;
    gap: 30px;
    align-items: stretch;
}

.donocard{
    width: 100%;
    max-width: 450px;
    justify-self: center;
    border-radius: 20px;
    overflow: hidden;
}

.donocard img{
    width: 100%;
    height: 100%;
    display: block;
    object-fit: cover;
}

.donation-card{
    background: #f8f8f8;
    border-radius: 20px;
    padding: 40px 20px;

    display: flex;
    flex-direction: column;
    justify-content: space-between;

    box-shadow: 0 0 30px 20px rgba(0,0,0,0.08);
}

.donation-card h3{
    text-align: left;
    color: var(--bg-color);
    margin-bottom: 20px;
    font-size: 32px;
}

.donation-card p{
    color: #555;
    line-height: 1.8;
}

.donation-card li{
    margin-bottom: 10px;
    color: #555;
}

.bank-info{
    display: flex;
    justify-content: center;
    align-items: flex-start;
    flex-direction: column;
    gap: 10px;
}

.bank-info p{
    font-size: 20px;
}

.bank-info strong{
    color: var(--bg-color);
}

.donation-contact{
    background: linear-gradient(
        135deg,
        var(--pink-color),
        #ff7ba7
    );

    border-radius: 20px;
    padding: 50px;
    text-align: center;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}

.donation-contact h3{
    color: white;
    font-size: 38px;
    margin-bottom: 15px;
}

.donation-contact p{
    color: white;
    max-width: 700px;
    margin: 0 auto 30px;
    line-height: 1.8;
}

.contact-buttons{
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    gap: 20px;
    flex-wrap: wrap;
}

.donation-btn{
    text-decoration: none;
    color: white;
    font-weight: 700;
    padding: 14px 28px;
    border-radius: 10px;
    border: 2px solid white;
    transition: .3s;
}

.donation-btn.secondary{
    background: white;
    color: var(--pink-color);
}

.registernow{
    width: 100%;
    padding: 40px;
    background-color: var(--blue-color);
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    gap: 15px;
    text-align: center;
}

.registernow h1{
    text-transform: uppercase;
    letter-spacing: 1px;
    font-size: 42px;
    font-weight: 700;
}

.registernow a{
    background-color: #fc6898;
    color: white;
    padding: 10px 20px;
    border-radius: 10px;
    font-size: 30px;
    font-weight: 700;
    text-decoration: none;
    transition: transform 0.3s ease;
}

.registernow a:hover{
    background-color: var(--bg-color);
}

@media screen and (max-width: 1200px) and (min-width: 1024px) {
    .donation-grid{
        grid-template-columns: 1fr 1fr;
        grid-template-areas: "img bank"
                            "info info";
    }

    .donocard{
        width: 100%;
        justify-self: center;
        grid-area: img;
    }

    .bank-info{
        grid-area: bank;
    }

    .donation-header h2{
        font-size: 42px;
    }

    .donation-contact{
        width: 100%;
        padding: 35px 25px;
        grid-area: info;
        
    }

    .donation-contact h3{
        font-size: 30px;
    }
}

@media screen and (min-width: 769px) and (max-width: 1023px){

    .team-grid{
        grid-template-columns: repeat(2, 1fr);
    }

    .team-card{
        height: auto;
    }

    .donation-grid{
        grid-template-columns: 1fr 1fr;
        grid-template-areas: "img bank"
                            "info info";
    }

    .donocard{
        width: 100%;
        justify-self: center;
        grid-area: img;
    }

    .bank-info{
        grid-area: bank;
    }

    .donation-header h2{
        font-size: 42px;
    }

    .donation-contact{
        width: 100%;
        padding: 35px 25px;
        grid-area: info;
        
    }

    .donation-contact h3{
        font-size: 30px;
    }

}


@media screen and (max-width: 768px) {

    body{
        overflow-x: hidden;
    }

    .aboveheader{
        display: none;
    }

    header{
        position: fixed;
        top: 0;
        left: 0;
        width: 100%;
        height: 70px;

        display: flex;
        justify-content: space-between;
        align-items: center;

        z-index: 9999;
    }

    .logolink{
        z-index: 1001;
    }

    header img{
        height: 70px;
    }

    header input{
        position: absolute;
        opacity: 0;
        pointer-events: none;
    }

    .menu-btn{
        width: 35px;
        height: 35px;
        margin-right: 20px;

        position: relative;

        display: flex;
        justify-content: center;
        align-items: center;

        cursor: pointer;
        z-index: 10001;
    }


    .menu-btn span{
        position: absolute;

        width: 35px;
        height: 4px;

        background-color: white;
        border-radius: 10px;

        transition: 0.3s ease;
    }

    .menu-btn span:nth-child(1){
        transform: translateY(-10px);
    }

    .menu-btn span:nth-child(2){
        transform: translateY(0);
    }

    .menu-btn span:nth-child(3){
        transform: translateY(10px);
    }

    #open-menu:checked + ul + .menu-overlay,
    #open-menu:checked ~ ul{
        left: 0;
        }

        #open-menu:checked ~ .menu-btn span:nth-child(1){
        transform: rotate(45deg);
    }

    #open-menu:checked ~ .menu-btn span:nth-child(2){
        opacity: 0;
    }

    #open-menu:checked ~ .menu-btn span:nth-child(3){
        transform: rotate(-45deg);
    }

    header ul{
        position: fixed;
        top: 0;
        left: 100%;

        width: 100%;
        height: 100dvh;

        padding-top: 70px;

        background-color: var(--bg-color);

        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        gap: 30px;

        transition: left 0.4s ease;
        z-index: 1000;
    }

    #open-menu:checked ~ ul{
        left: 0;
    }

    header ul li{
        list-style: none;
    }

    header ul li a{
        font-size: 30px;
        text-transform: uppercase;
        letter-spacing: 1px;
    }

    .footer-container{
        grid-template-columns: 1fr;
        padding: 30px 20px;
        gap: 50px;
        text-align: center;
    }

    .social-icons{
        justify-content: center;
    }

    .contact-info p{
        justify-content: center;
    }

    .footer-logo img{
        margin: 0 auto 15px;
        display: block;
    }

    .about-hero{
        min-height: 50dvh;
        padding: 20px;
    }

    .about-hero-content h1{
        font-size: 42px;
    }

    .about-hero-content p{
        font-size: 16px;
        line-height: 30px;
    }

    .history-section,
    .team-section,
    .classes-section,
    .contact-section{
        padding: 20px;
    }

    .history-section h2,
    .team-section h2,
    .classes-section h2,
    .contact-section h2{
        margin-bottom: 20px;
    }

    .history-content,
    .classes-grid,
    .contact-container{
        grid-template-columns: 1fr;
    }

    .history-image{
        height: 350px;
    }

    .history-content a{
        width: 100%;
        text-align: center;
        font-size: 20px;
    }

    .team-grid{
        grid-template-columns: 1fr;
    }

    .team-card{
        height: auto;
    }

    .class-image{
        height: 300px;
    }

    .section-title{
        margin-bottom: 20px;
    }

    .section-title h2{
        font-size: 32px;
    }

    .registernow h1{
        font-size: 32px;
    }

    .donation-section{
        padding: 20px;
    }

    .donation-grid{
        grid-template-columns: 1fr;
        grid-template-rows: 450px auto auto;
    }

    .donation-header h2{
        font-size: 34px;
    }

    .donocard{
        width: 100%;
        max-width: auto;
        justify-self: center;
    }

    .donocard img {
        height: 100%;
        object-fit: cover;
    }

    .bank-info p{
        width: 100%;
        text-align: center;
    }

    .donation-card{
        padding: 25px;
    }

    .donation-card h3 {
        text-align: center;
    }
}

